%define name libunistring
%define major 2
%define libname %mklibname unistring %major
%define develname %mklibname -d unistring
%define staticname %mklibname -s -d unistring

Summary: GNU Unicode string library
Name: %{name}
Version: 0.9.7
Release: %mkrel 1
Source0: http://ftp.gnu.org/gnu/libunistring/%{name}-%{version}.tar.xz
Patch1: libunistring-0.9.4-automake-1.13.patch
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnu.org/software/libunistring/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: locales-fr
BuildRequires: texinfo

%description
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n %libname
Group: System/Libraries
Summary: GNU Unicode string library

%description -n %libname
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n %develname
Group: Development/Libraries
Summary: GNU Unicode string library - development files
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n %staticname
Group: Development/Libraries
Summary: GNU Unicode string library - static library
Requires: %develname = %version-%release
Provides: %name-static-devel = %version-%release

%description -n %staticname
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x 
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf %{buildroot}%{_docdir}/%{name}
rm -f %{buildroot}%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -n %develname
%_install_info %{name}.info

%preun -n %develname
%_remove_install_info %{name}.info

%files -n %libname
%defattr(-,root,root)
%_libdir/libunistring.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libunistring.so
%_infodir/libunistring.info*
%_includedir/unistring
%_includedir/*.h


%files -n %staticname
%defattr(-,root,root)
%_libdir/libunistring.a


%changelog
* Thu Aug 03 2017 adrianomorselli <adrianomorselli> 0.9.7-1uplos2017
- update
